bcr_test_module:
  module_path: examples/basicapp
  matrix:
    platform: ["ubuntu2404", "macos_arm64", "windows"]
    bazel: ["7.7.1", "8.4.2", "rolling"]
  tasks:
    run_test_module:
      name: "Verify build targets with bzlmod"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
        - "//java/com/basicapp:basic_app"
